function [] = pk_2komp_nogui()
%--------------------------------
tspan = [0, 12];
y0 = [500, 1];
ke = 0.62;
k21 = 0.61;
k12 = 0.53;
Vd = 14.3;

[t,y] = ode45(@lotka_volterra, tspan, y0, [], ke, k21, k12);

figure(1);
%----
% Plot fr Arzneistoffmengen X1 und X2
subplot(1,2,1);
semilogy(t,(y(:,1)),'-','Linewidth',2);grid on;hold on;
semilogy(t,(y(:,2)),'r-','Linewidth',2);grid on;hold off;
title('Arzneistoffmenge');xlabel('t [h]'); ylabel('X [mg]');
legend('X1(t)', 'X2(t)');
axis([0 tspan(2) 0 1000]);
 
%----
% Plot fr zentrales Kompartment
subplot(1,2,2);
plot(t,(y(:,1)/Vd),'-','Linewidth',2);grid on;
axis([0 tspan(2) 0 100]);
title('Konzentration zentrales Kompartment');xlabel('t [h]');ylabel('Cp [mg/L]');

%---------------------
function dydt = lotka_volterra(t, y, ke , k21, k12)
dydt = zeros(2,1);
dydt = [ k21*y(2) - k12*y(1)-ke*y(1); ...
        k12*y(1) - k21*y(2);];
%---------------------